scala.collection.parallel.ParIterableLike

# Forall

#### class Forall extends Accessor[Boolean, Forall]

Attributes
  protected[this]
Source
  ParIterableLike.scala

Linear Supertypes
Accessor[Boolean, Forall], StrictSplitterCheckTask[Boolean, Forall], Task[Boolean, Forall], AnyRef, Any
Type Hierarchy Learn more about scaladoc diagrams
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. Forall
2. Accessor
3. StrictSplitterCheckTask
4. Task
5. AnyRef
6. Any

Implicitly

1. by CollectionsHaveToParArray
2. by any2stringadd
3. by StringFormat
4. by Ensuring
5. by ArrowAssoc

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new Forall(pred: (T) ⇒ Boolean, pit: IterableSplitter[T])

### Type Members

1. #### type Result = Boolean

   Definition Classes
     Task

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### def +(other: String): String

   Implicit information
     This member is added by an implicit conversion from Forall to any2stringadd[Forall] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd

4. #### def ->[B](y: B): (Forall, B)

   Implicit information
     This member is added by an implicit conversion from Forall to ArrowAssoc[Forall] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def ensuring(cond: (Forall) ⇒ Boolean, msg: ⇒ Any): Forall

   Implicit information
     This member is added by an implicit conversion from Forall to Ensuring[Forall] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

9. #### def ensuring(cond: (Forall) ⇒ Boolean): Forall

   Implicit information
     This member is added by an implicit conversion from Forall to Ensuring[Forall] performed by method Ensuring in scala.Predef.
   Definition Classes
     Ensuring

10. #### def ensuring(cond: Boolean, msg: ⇒ Any): Forall

    Implicit information
      This member is added by an implicit conversion from Forall to Ensuring[Forall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

11. #### def ensuring(cond: Boolean): Forall

    Implicit information
      This member is added by an implicit conversion from Forall to Ensuring[Forall] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### def formatted(fmtstr: String): String

    Returns string formatted according to given `format` string.

    Returns string formatted according to given `format` string. Format strings are as for `String.format` (@see java.lang.String.format).

    Implicit information
      This member is added by an implicit conversion from Forall to StringFormat[Forall] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()

16. #### def forwardThrowable(): Unit

    Definition Classes
      Task

17. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

18. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

19. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

20. #### def leaf(prev: Option[Boolean]): Unit

    Body of the task - non-divisible unit of work done by this task.

    Body of the task - non-divisible unit of work done by this task. Optionally is provided with the result from the previous completed task or `None` if there was no previous task (or the previous task is uncompleted or unknown).

    Definition Classes
      Forall → Task

21. #### def merge(that: Forall): Unit

    Read of results of `that` task and merge them into results of this one.

    Read of results of `that` task and merge them into results of this one.

    Definition Classes
      Forall → Task

22. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

23. #### def newSubtask(p: IterableSplitter[T]): Forall

    Attributes
      protected[this]
    Definition Classes
      Forall → Accessor

24. #### final def notify(): Unit

    Definition Classes
      AnyRef

25. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

26. #### val pit: IterableSplitter[T]

    Attributes
      protected[this]
    Definition Classes
      Forall → Accessor

27. #### def repr: Forall

    Definition Classes
      Task

28. #### def requiresStrictSplitters: Boolean

    Definition Classes
      StrictSplitterCheckTask

29. #### var result: Boolean

    A result that can be accessed once the task is completed.

    A result that can be accessed once the task is completed.

    Definition Classes
      Forall → Task

30. #### def shouldSplitFurther: Boolean

    Decides whether or not this task should be split further.

    Decides whether or not this task should be split further.

    Definition Classes
      Accessor → Task

31. #### def split: scala.Seq[Task[Boolean, Forall]]

    Splits this task into a list of smaller tasks.

    Splits this task into a list of smaller tasks.

    Definition Classes
      Accessor → Task

32. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

33. #### var throwable: Throwable

    Definition Classes
      Task

34. #### def toParArray: ParArray[T]

    Implicit information
      This member is added by an implicit conversion from Forall to CollectionsHaveToParArray[Forall, T] performed by method CollectionsHaveToParArray in scala.collection.parallel. This conversion will take place only if an implicit value of type (Forall) ⇒ GenTraversableOnce[T] is in scope.
    Definition Classes
      CollectionsHaveToParArray

35. #### def toString(): String

    Definition Classes
      Accessor → AnyRef → Any

36. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

37. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

38. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

39. #### def →[B](y: B): (Forall, B)

    Implicit information
      This member is added by an implicit conversion from Forall to ArrowAssoc[Forall] performed by method ArrowAssoc in scala.Predef.
    Definition Classes
      ArrowAssoc

### Inherited from Accessor[Boolean, Forall]

### Inherited from StrictSplitterCheckTask[Boolean, Forall]

### Inherited from Task[Boolean, Forall]

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion CollectionsHaveToParArray from Forall to CollectionsHaveToParArray[Forall, T]

### Inherited by implicit conversion any2stringadd from Forall to any2stringadd[Forall]

### Inherited by implicit conversion StringFormat from Forall to StringFormat[Forall]

### Inherited by implicit conversion Ensuring from Forall to Ensuring[Forall]

### Inherited by implicit conversion ArrowAssoc from Forall to ArrowAssoc[Forall]

### Ungrouped